<%----------------------Logic for error messages ----------------------------------------------------%>
<c:set var="errorMessageFirstLine" value="${bookingComponent.errorMessage}"/>
<c:set var="errorMessageSecondLine" value="Please check these details are correct"/>
<c:set var="hideSecondLine" value="${empty bookingInfo.errorFields}"/>
<c:set var="hideErrorMessage" value="true"/>
<c:forTokens var="errorField" items="CardType|CardNumber|ExpiryDate|CardName|IssueNumber|SecurityCode" delims="|" >

   <c:if test="${fn:containsIgnoreCase(bookingInfo.errorFields,errorField)}">
      <c:set var="hideSecondLine" value="true"/>
      <c:set var="hideErrorMessage" value="false"/>
   </c:if>
</c:forTokens>
<%-----------------*****Logic for error messages *****-----------------------------------------------%>

<%----------------------Client side and Server side errors-------------------------------------------%>
<div id="errorSummary" class="errorSummary <c:if test="${hideSecondLine}">hide</c:if>">
   <h3><c:out value="${errorMessageSecondLine}" escapeXml="false"/></h3>
   <ul id="topError">
   </ul>
</div>
<%--The below check for promotional code is added for not showing the promocode related server side error message on refresh of the page. --%>
<div id="commonError" class="commonErrorSummary hide">
	<div class="standard-layout">
	   <p class="alert high-level generic">
		<i class="caret warning"></i>
	   </p>
   </div>
</div>
<%--When the 3D secure is not authenticated, following error message is displayed --%>
<c:if test="${not empty bookingComponent.errorMessage}">
					<c:if test="${!fn:containsIgnoreCase(bookingComponent.errorMessage,'Whilst')}">
						<div id="commonError" class="commonErrorSummary">
							<div class="standard-layout">
								<p class="alert high-level generic">
								<i class="caret warning"></i>
										<c:out value="${bookingComponent.errorMessage}" escapeXml="false" />
								</p>
							</div>
						</div>
					</c:if>
</c:if>
<%----------------------Client side and Server side errors-------------------------------------------%>